ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 153
Committed: Sat Sep 23 18:11:59 2006 UTC (17 years, 7 months ago) by laffer1
File size: 4871 byte(s)
Log Message:
Forgot german

File Contents

# User Rev Content
1 laffer1 153 # $MidnightBSD: mports/Makefile,v 1.11 2006/09/23 18:09:57 laffer1 Exp $
2 archite 2 #
3    
4 wintellect 74 SUBDIR += accessibility
5 laffer1 20 SUBDIR += archivers
6 laffer1 151 SUBDIR += audio
7 archite 2 SUBDIR += converters
8     SUBDIR += devel
9 laffer1 153 SUBDIR += german
10 archite 2 SUBDIR += graphics
11     SUBDIR += irc
12     SUBDIR += lang
13 laffer1 116 SUBDIR += math
14 archite 10 SUBDIR += misc
15 archite 2 SUBDIR += net-im
16     SUBDIR += print
17 archite 8 SUBDIR += security
18 laffer1 103 SUBDIR += shells
19 archite 6 SUBDIR += sysutils
20 archite 2 SUBDIR += textproc
21     SUBDIR += www
22     SUBDIR += x11
23 laffer1 151 SUBDIR += x11-fonts
24     SUBDIR += x11-fm
25     SUBDIR += x11-servers
26 wintellect 80 SUBDIR += x11-toolkits
27 archite 5 SUBDIR += x11-wm
28 archite 2
29     PORTSTOP= yes
30    
31     .include <bsd.port.subdir.mk>
32    
33     index:
34     @rm -f ${INDEXDIR}/${INDEXFILE}
35     @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
36    
37     fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
38     @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
39     chmod a+r ${INDEXDIR}/${INDEXFILE}
40    
41     ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
42     @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
43    
44     MASTER_SITE_INDEX?= http://www.FreeBSD.org/ports/
45     SETENV?= /usr/bin/env
46     FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
47     INDEX_JOBS?= 2
48    
49     .if !defined(INDEX_VERBOSE)
50     INDEX_ECHO_MSG= echo > /dev/null
51     INDEX_ECHO_1ST= echo -n
52     .else
53     INDEX_ECHO_MSG= echo 1>&2
54     INDEX_ECHO_1ST= echo
55     .endif
56    
57     ${INDEXDIR}/${INDEXFILE}:
58     @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
59     if [ "${INDEX_PRISTINE}" != "" ]; then \
60     export LOCALBASE=/nonexistentlocal; \
61     export X11BASE=/nonexistentx; \
62     fi; \
63     tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
64     trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
65     ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
66     ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
67     (rm -rf $${tmpdir} ; \
68     if [ "${INDEX_QUIET}" = "" ]; then \
69     echo; \
70     echo "********************************************************************"; \
71     echo "Before reporting this error, verify that you are running a supported"; \
72     echo "version of FreeBSD (see http://www.FreeBSD.org/ports/) and that you"; \
73     echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
74     echo "not supported with partial or out-of-date ports collections -- in"; \
75     echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
76     echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
77     echo "report the failure to ports@FreeBSD.org together with relevant"; \
78     echo "details of your ports configuration (including FreeBSD version,"; \
79     echo "your architecture, your environment, and your /etc/make.conf"; \
80     echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
81     echo; \
82     echo "Note: the latest pre-generated version of INDEX may be fetched"; \
83     echo "automatically with \"make fetchindex\"."; \
84     echo "********************************************************************"; \
85     echo; \
86     fi; \
87     exit 1); \
88     cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
89     sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
90     sort -t '|' +1 -2 | \
91     sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
92     if [ "${INDEX_PRISTINE}" != "" ]; then \
93     sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
94     ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
95     else \
96     mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
97     fi; \
98     rm -rf $${tmpdir}; \
99     echo " Done."
100    
101     print-index: ${INDEXDIR}/${INDEXFILE}
102     @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
103    
104     CVS?= cvs
105     SUP?= cvsup
106     PORTSNAP?= portsnap
107     PORTSNAP_FLAGS?= -p ${.CURDIR}
108     .if defined(SUPHOST)
109     SUPFLAGS+= -h ${SUPHOST}
110     .endif
111     update:
112     .if defined(PORTSNAP_UPDATE)
113     @echo "--------------------------------------------------------------"
114     @echo ">>> Running ${PORTSNAP}"
115     @echo "--------------------------------------------------------------"
116     @${PORTSNAP} ${PORTSNAP_FLAGS} fetch
117     @${PORTSNAP} ${PORTSNAP_FLAGS} update
118     .elif defined(SUP_UPDATE) && defined(PORTSSUPFILE)
119     @echo "--------------------------------------------------------------"
120     @echo ">>> Running ${SUP}"
121     @echo "--------------------------------------------------------------"
122     @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
123     .elif defined(CVS_UPDATE)
124     @echo "--------------------------------------------------------------"
125     @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
126     @echo "--------------------------------------------------------------"
127     cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
128     .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
129     @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
130     @exit 1
131     .else
132     @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
133     .endif

Properties

Name Value
cvs2svn:cvs-rev 1.12